<?php

//берем данные о кол-ве
$fight_id=$recive_id;
$fight=mysql_fetch_array(mysql_query("SELECT * FROM fight WHERE id='$fight_id'"));

$udmg_all = 0;
$edmg_all = 0;

$expu_gena_u = 0;
$expu_gena_e = 0;

$u_itog=1;
$e_itog=1;
//подсчёт коэфициэнтов генералов
$a_generall=mysql_query("SELECT * FROM general WHERE id_user='$fight[u_id]'");
if(mysql_num_rows($a_generall) == 1)
{
	$a_general=mysql_fetch_array($a_generall);
	$a_general_force=$a_general['moral']*($a_general['navik']+($a_general['exp']/700));
}
else
{
	$a_general_force=1;
}
$d_generall=mysql_query("SELECT * FROM general WHERE id_user='$fight[e_id]'");
if(mysql_num_rows($d_generall) == 1)
{
	$d_general=mysql_fetch_array($d_generall);
	$d_general_force=$d_general['moral']*($d_general['navik']+($d_general['exp']/700));
}
else
{
	$d_general_force=1;
}
$a_k_gen=sqrt($a_general_force/$d_general_force);
$d_k_gen=sqrt($d_general_force/$a_general_force);

$attacker=mysql_fetch_array(mysql_query("SELECT * FROM users WHERE id='$fight[u_id]'"));
$cover=mysql_fetch_array(mysql_query("SELECT * FROM users WHERE id='$fight[e_id]'"));
if($attacker['weapon'] != $cover["armor"])
{
	$a_general_force +=0.3;
}
if($cover['weapon'] != $attacker["armor"])
{
	$d_general_force +=0.3;
}
$units=mysql_query("SELECT * FROM units");
$total_units=mysql_num_rows($units);
while($unit=mysql_fetch_array($units))
{
	$unit_k=explode("|",$unit['koef']);
	$attack_prefix=$unit['sname'].'_a';
	$speed_prefix=$unit['sname'].'_s';
	$u_prefix='u'.$unit[id];
	$u_attack=$attacker[$attack_prefix];
	$u_speed=$attacker[$speed_prefix];
    $u_units=$fight[$u_prefix];//Узнаём кол-во отрядов нападающего
	for($i=1;$i<=$total_units;$i++)
	{

		$eunit=mysql_fetch_array(mysql_query("SELECT * FROM units WHERE id='$i'"));


        $e_prefix='e'.$eunit[id];
        $fight=mysql_fetch_array(mysql_query("SELECT * FROM fight WHERE id='$fight_id'"));
		$e_units=$fight[$e_prefix];//Узнаём кол-во отрядов защищающегося
		$k_unit=$unit_k[$i];
		$eunit_k=explode("|",$eunit['koef']);
		$temp=$unit['id'];
		$k_eunit=$eunit_k[$temp];
		$e_attack=$cover[$attack_prefix];
		$e_speed=$cover[$speed_prefix];
		$unit_dmg=$a_k_gen*$u_units*$unit['dmg']*(1+pow(($u_attack*$u_speed),0.625))*$k_unit;
		$eunit_dmg=$d_k_gen*$e_units*$eunit['dmg']*(1+pow(($e_attack*$e_speed),0.625))*$k_eunit;





		$lost_units=ceil($eunit_dmg/$unit['hp']);
		$lost_u=$u_units-$lost_units;

		if($lost_u < 0)
		{
			$lost_u=0;
		}
		$lost_eunits=ceil($unit_dmg/$eunit['hp']);
		$lost_e=$e_units-$lost_eunits;
		if($lost_e < 0)
		{
			$lost_e=0;

		}
		$exp_u_recive=floor($e_units-$lost_e);
		$exp_e_recive=floor($u_units-$lost_u);



		if ($unit_dmg == '0') $unit_dmg = '1';
		if ($eunit_dmg == '0') $eunit_dmg = '1';


			if ($unit_dmg > '1' OR $eunit_dmg > '1')
			{
	//		echo $eunit[name].' против ';
	//echo '<b>'.$unit[name].'</b><br />';
			}


		//if (intval($unit_dmg) >= intval($eunit_dmg)) echo $attacker[login].' выйграл битву'; else echo $attacker[login].' проиграл битву';

		
		
		
		


if (intval($unit_dmg) >= intval($eunit_dmg))
	{

	//echo '<br/>Разница урона: '.intval($unit_dmg-$eunit_dmg);
	//echo '<br/>Урон победителя: '.intval($unit_dmg);
	//echo '<br/>Урон проигравшего: '.intval($eunit_dmg);
	$koefff = intval(100*intval($unit_dmg-$eunit_dmg)/intval($unit_dmg))/100;
	//echo '<br />Процент остатка: '.$koefff;
	//echo '<br >Остатки '.$attacker[login].': '.$unit['name'].': '.intval($u_units*$koefff);
	//echo '<hr >';

	$u_ost1 = intval($u_units*$koefff);
	$expu_gena_u += intval(($koefff)*$u_units);

	$e_ost1 = 0;

	}
else
	{
	//echo '<br/>Разница урона: '.intval($eunit_dmg-$unit_dmg);
	//echo '<br/>Урон победителя: '.intval($eunit_dmg);
	//echo '<br/>Урон проигравшего: '.intval($unit_dmg);
	$koefff = intval(100*intval($eunit_dmg-$unit_dmg)/intval($eunit_dmg))/100;
	//echo '<br />Процент остатка: '.$koefff;
	//echo '<br >Остатки '.$cover[login].': '.$unit['name'].': '.intval($e_units*$koefff);
	//echo '<hr >';


	$e_ost1 = intval($e_units*$koefff);
	$expu_gena_e += intval(($koefff)*$e_units);

	$u_ost1 = 0;

	}
	if ($unit_dmg > '1' AND $eunit_dmg > '1')
			{
	mysql_query("UPDATE fight SET $u_prefix='$u_ost1', $e_prefix='$e_ost1' WHERE id='$fight_id'");
			}
	$udmg_all += $unit_dmg;
	$edmg_all += $eunit_dmg;



		

		mysql_query("UPDATE `general` SET `exp`=`exp`+'$exp_u_recive' WHERE `id`='$a_general[id]'");
		mysql_query("UPDATE `general` SET `exp`=`exp`+'$exp_e_recive' WHERE `id`='$d_general[id]'");

		$u_units=$lost_u;

	}

}
echo 'Сумма урона '.$attacker[country].': '.intval($udmg_all).'<br />';
echo 'Сумма урона '.$cover[country].': '.intval($edmg_all).'<br />';

$clan_isset = mysql_fetch_array(mysql_query("SELECT `clan` FROM `users` WHERE `id`='$fight[u_id]'"));
		if ($clan_isset['clan']!='0')
			{
			mysql_query("UPDATE `clan` SET `exp`=exp+'$udmg_all' WHERE `id`='$clan_isset[clan]'");
			}
			
		$clan_isset2 = mysql_fetch_array(mysql_query("SELECT `clan` FROM `users` WHERE `id`='$fight[e_id]'"));
		if ($clan_isset2['clan']!='0')
			{
			mysql_query("UPDATE `clan` SET `exp`=exp+'$edmg_all' WHERE `id`='$clan_isset2[clan]'");
			}

			


echo '</div><div class="money">
Опыт вашему генералу '.$attacker[country].': <b>'.$expu_gena_u.'</b>
<br />Опыт генералу противника '.$cover[country].': <b>'.$expu_gena_e.'</b>
</div><div class="money">';

$new_fight=mysql_fetch_array(mysql_query("SELECT * FROM fight WHERE id='$fight_id'"));
?>
